Bug 1303906 - RFE: [qemu-ga] provide command for setting administrator account password (Windows guest) [rhel-6.9]
RFE: [qemu-ga] provide command for setting administrator account password (Wi...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Yan Vugenfirer
Jiri Herrmann
: FutureFeature
Depends On: 1174176 1174181 1313887
Blocks: 1172231 1269194 1364808 978365 1174177 1261100
  Show dependency treegraph
Reported: 2016-02-02 06:59 EST by Ademar Reis
Modified: 2017-03-20 23:58 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Setting the account password is now possible for any guest user The "guest-set-user-password" command has been introduced for the QEMU guest agent. This allows setting the account password for any guest user, including the root, when using QEMU and KVM.
Story Points: ---
Clone Of: 1174181
Last Closed: 2017-03-20 23:58:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 2 Amnon Ilan 2016-03-02 09:40:06 EST
*** Bug 1313887 has been marked as a duplicate of this bug. ***
Comment 10 xiagao 2016-11-16 22:25:21 EST
Tested with win7-32 and win2008-64 guest and install qemu-ga-x86/x64.msi with qemu-ga-win-7.3.2-1, the result is pass when setting password with "crypted":false


qemu-ga-win-7.3.2-1(qemu-ga-x86.msi && qemu-ga-x64.msi )

1. boot guest:
/usr/libexec/qemu-kvm -S -name avocado-vt-vm1 -machine rhel6.6.0 -nodefaults -vga std -m 8G -smp 8 -drive file=/home/win7-32-virtio.qcow2,if=none,id=drive-ide0-0-0,format=qcow2,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=0 -drive id=drive_virtio,if=none,snapshot=off,aio=native,cache=none,media=cdrom,file=/usr/share/virtio-win2/virtio-win-1.8.0.iso -device ide-drive,id=virtio,drive=drive_virtio -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:0a:5c:f1:1d -vnc :1 -rtc base=localtime,clock=host,driftfix=slew -boot order=cd,menu=on -enable-kvm -monitor stdio -qmp tcp:0:1235,server,nowait -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x7 -chardev socket,path=/tmp/qga.sock,server,nowait,id=qga0 -device virtserialport,bus=virtio-serial0.0,chardev=qga0,name=org.qemu.guest_agent.0

2. install vioser driver and install qemu-ga-win msi in guest

3. change the Administrator password with "crypted":false
# echo -n "123456" | base64

# nc -U /tmp/qga.sock
{ "execute": "guest-info" }        
{"return": {"version": "0.12.1", "supported_commands": [{"enabled": true, "name": "guest-set-user-password"}, {"enabled": true, "name": "guest-set-vcpus"}, {"enabled": true, "name": "guest-get-vcpus"}, {"enabled": true, "name": "guest-network-get-interfaces"}, {"enabled": true, "name": "guest-suspend-hybrid"}, {"enabled": true, "name": "guest-suspend-ram"}, {"enabled": true, "name": "guest-suspend-disk"}, {"enabled": true, "name": "guest-fstrim"}, {"enabled": true, "name": "guest-fsfreeze-thaw"}, {"enabled": true, "name": "guest-fsfreeze-freeze"}, {"enabled": true, "name": "guest-fsfreeze-status"}, {"enabled": true, "name": "guest-file-flush"}, {"enabled": true, "name": "guest-file-seek"}, {"enabled": true, "name": "guest-file-write"}, {"enabled": true, "name": "guest-file-read"}, {"enabled": true, "name": "guest-file-close"}, {"enabled": true, "name": "guest-file-open"}, {"enabled": true, "name": "guest-shutdown"}, {"enabled": true, "name": "guest-info"}, {"enabled": true, "name": "guest-set-time"}, {"enabled": true, "name": "guest-get-time"}, {"enabled": true, "name": "guest-ping"}, {"enabled": true, "name": "guest-sync"}, {"enabled": true, "name": "guest-sync-delimited"}]}}

{"return": {}}

4. Login guest with the new passowrd.
login successfully.

Set this bug to verified status.
Comment 15 errata-xmlrpc 2017-03-20 23:58:59 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.